Bug 1332877 (CVE-2016-4539) - CVE-2016-4539 php: xml_parse_into_struct() can crash when XML parser is re-used
Summary: CVE-2016-4539 php: xml_parse_into_struct() can crash when XML parser is re-used
Status: CLOSED ERRATA
Alias: CVE-2016-4539
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20160425,reported=2...
Keywords: Security
Depends On: 1332882
Blocks: 1332879
TreeView+ depends on / blocked
 
Reported: 2016-05-04 09:19 UTC by Adam Mariš
Modified: 2016-11-15 14:32 UTC (History)
14 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-06-13 13:17:14 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2750 normal SHIPPED_LIVE Moderate: rh-php56 security, bug fix, and enhancement update 2016-11-15 16:40:02 UTC

Description Adam Mariš 2016-05-04 09:19:44 UTC
It was found that crafted input to xml_parse_into_struct() function can cause segmentation fault.

Upstream bug:

https://bugs.php.net/bug.php?id=72099

Upstream patch:

https://git.php.net/?p=php-src.git;a=commit;h=1248079be837808da4c97364fb3b4c96c8015fbf

Comment 1 Adam Mariš 2016-05-04 09:26:05 UTC
Created php tracking bugs for this issue:

Affects: fedora-all [bug 1332882]

Comment 2 Andrej Nemec 2016-05-06 06:55:26 UTC
CVE assignment:

http://seclists.org/oss-sec/2016/q2/259

Comment 3 Fedora Update System 2016-05-07 11:47:23 UTC
php-5.6.21-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-05-12 07:22:24 UTC
php-5.6.21-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Tomas Hoger 2016-06-13 13:17:14 UTC
It only seems possible to trigger this problem if xml_parse_into_struct() is called with parser that was previously used for XML parsing.  As XML parser is not safe to be reused for multiple XML parsings (parser needs to be freed and new created if multiple XML inputs need to be parsed), this flaw is unlikely to affect properly written PHP scripts.

This issue is in the xml extension.  In Red Hat products, this extension is packaged separately in php-xml sub-RPM.  Systems without that package installed can not be affected by this issue.

Comment 6 errata-xmlrpc 2016-11-15 11:52:05 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.2 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS

Via RHSA-2016:2750 https://rhn.redhat.com/errata/RHSA-2016-2750.html


Note You need to log in before you can comment on or make changes to this bug.